Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php7.1: swith-on accidentally removed freetype support

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 2 Mar 2017 13:02:00 +0200

---
 testing/php7.1/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)
diff --git a/testing/php7.1/APKBUILD b/testing/php7.1/APKBUILD
index 74a4e3ce6e..98159bf3ef 100644
--- a/testing/php7.1/APKBUILD
+++ b/testing/php7.1/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
 pkgname=php7.1
 pkgver=7.1.2
-pkgrel=4
+pkgrel=5
 _apiver=20160303
 _suffix=${pkgname#php}
 _pkgreal=${pkgname%$_suffix}
_at_@ -67,6 +67,9 @@ prepare() {
 	autoconf
 }
 
+# Notes to ./configure parameters
+#   --with-libgd=shared -- do not swith to system-wide libgd because of bugs.
+
 _build() {
 	export EXTENSION_DIR=/usr/lib/$pkgname/modules
 	./configure \
_at_@ -99,7 +102,7 @@ _build() {
 		--enable-exif=shared \
 		--enable-ftp=shared \
 		--with-gd=shared --with-jpeg-dir --with-png-dir --with-webp-dir --with-xpm-dir=no \
-				--enable-gd-native-ttf --disable-gd-jis-conv \
+				--with-freetype-dir --enable-gd-native-ttf --disable-gd-jis-conv \
 		--with-gettext=shared \
 		--with-gmp=shared \
 		--with-iconv=shared \
_at_@ -141,8 +144,8 @@ _build() {
 		--enable-wddx=shared \
 		--enable-zip=shared --with-libzip=shared \
 		$_at_ || return 1
-	sed -ri "s/^(EXTRA_LDFLAGS[ ]*\=.*)/\1 -lpthread/" Makefile
-	make || return 1
+	sed -ri "s/^(EXTRA_LDFLAGS[ ]*\=.*)/\1 -lpthread/" Makefile || return 1
+	make
 }
 
 build() {
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 02 2017 - 13:02:00 GMT